## org.hibernate.envers.query.impl
Class EntitiesAtRevisionQuery

    java.lang.Object
      org.hibernate.envers.query.impl.AbstractAuditQuery
          org.hibernate.envers.query.impl.EntitiesAtRevisionQuery

All Implemented Interfaces:
  AuditQuery

    public class EntitiesAtRevisionQuery

extends AbstractAuditQuery

Field Summary

Fields inherited from class org.hibernate.envers.query.impl.AbstractAuditQuery
`criterions, entityClassName, entityInstantiator, entityName, hasOrder, hasProjection, qb, verCfg, versionsEntityName`

Constructor Summary
`EntitiesAtRevisionQuery(AuditConfiguration verCfg, AuditReaderImplementor versionsReader, Class<?> cls, Number revision)`
`EntitiesAtRevisionQuery(AuditConfiguration verCfg, AuditReaderImplementor versionsReader, Class<?> cls, String entityName, Number revision)`

Method Summary
`List` `list()`

Methods inherited from class org.hibernate.envers.query.impl.AbstractAuditQuery
`add, addOrder, addProjection, buildAndExecuteQuery, buildQuery, getResultList, getSingleResult, setCacheable, setCacheMode, setCacheRegion, setComment, setFirstResult, setFlushMode, setLockMode, setLockOptions, setMaxResults, setQueryProperties, setTimeout`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EntitiesAtRevisionQuery

    public EntitiesAtRevisionQuery(AuditConfiguration verCfg,
                                   AuditReaderImplementor versionsReader,
                                   Class<?> cls,
                                   Number revision)

### EntitiesAtRevisionQuery

    public EntitiesAtRevisionQuery(AuditConfiguration verCfg,
                                   AuditReaderImplementor versionsReader,
                                   Class<?> cls,
                                   String entityName,
                                   Number revision)

Method Detail

### list

    public List list()

  Specified by:
    `list` in class `AbstractAuditQuery`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.